List conversations
curl --request GET \
--url https://api.awardee.com/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"next_cursor": "<string>",
"data": [
{
"object": "conversation",
"id": "8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e",
"chatbot_id": "c1f5b2a7-9e8d-4f6a-b3c4-d5e6f7a8b9c0",
"status": "open",
"priority": "low",
"title": "Refund question",
"summary": "Visitor asked about refund window. Bot escalated to human.",
"sentiment_score": 72,
"contact_email": "[email protected]",
"contact_name": "Ada Lovelace",
"contact_phone": "+1 415 555 0143",
"assigned_to": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"qr_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qr_context": {
"qr_code": {
"id": "a7149db7-fe17-4ce7-b9ed-909ec231d566",
"name": "Room 7 — TV"
},
"qr_group": {
"id": "db76aa7b-d0f2-499c-8dc2-86afbb7df37b",
"name": "Room 7"
},
"properties": {
"TV Model Number": "LG 43UQ9000PSD",
"Kettle Model Number": "Breville LKE755"
}
}
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Endpoints
List conversations
Cursor-paginated list of conversations. When search is provided the response returns top-N ranked matches with next_cursor always null.
GET
/
conversations
List conversations
curl --request GET \
--url https://api.awardee.com/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"next_cursor": "<string>",
"data": [
{
"object": "conversation",
"id": "8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e",
"chatbot_id": "c1f5b2a7-9e8d-4f6a-b3c4-d5e6f7a8b9c0",
"status": "open",
"priority": "low",
"title": "Refund question",
"summary": "Visitor asked about refund window. Bot escalated to human.",
"sentiment_score": 72,
"contact_email": "[email protected]",
"contact_name": "Ada Lovelace",
"contact_phone": "+1 415 555 0143",
"assigned_to": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"qr_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qr_context": {
"qr_code": {
"id": "a7149db7-fe17-4ce7-b9ed-909ec231d566",
"name": "Room 7 — TV"
},
"qr_group": {
"id": "db76aa7b-d0f2-499c-8dc2-86afbb7df37b",
"name": "Room 7"
},
"properties": {
"TV Model Number": "LG 43UQ9000PSD",
"Kettle Model Number": "Breville LKE755"
}
}
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Authorizations
Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.
Query Parameters
Required range:
1 <= x <= 100Comma-separated status values
Comma-separated priority values
Comma-separated user ids
Available options:
true, false 
